Bug 107463 - IVO crashes X
Summary: IVO crashes X
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: unspecified
Hardware: Other Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard: Triaged
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-02 22:19 UTC by JM9
Modified: 2018-12-13 22:40 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg from boot to X crash (81.64 KB, text/plain)
2018-09-28 19:51 UTC, JM9
no flags Details
dmesg with debug symbols (725.37 KB, text/plain)
2018-10-02 18:42 UTC, JM9
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description JM9 2018-08-02 22:19:29 UTC
When using Nouveau on my laptop with Nvidia Quadro K3100M wired to the DisplayPorts in a reverse prime setup, screens connected to the display ports are garbled. My default setup uses glamor and DRI3. Problem is resolved when I switch to uxa.

4.17.11-arch1 #1 SMP PREEMPT Sun Jul 29 10:11:16 UTC 2018 x86_64 GNU/Linux
xf86-video-intel-git
xf86-video-nouveau
Comment 1 Chris Wilson 2018-08-03 08:52:27 UTC
Pictures? Is this a recent Xorg regression?
Comment 2 JM9 2018-08-05 17:56:38 UTC
When I get a screenshot (with scrot) all I get is a black/gray background as though nothing is being drawn. Yet it looks to me like the what is on the primary screen (connected to igp) is being scrambled and output to displayports (nvidia).

Can't tell if it is a regression. I haven't used Nouveau in a while. The same setup works fine with Nvidia drivers.
Comment 3 Lakshmi 2018-09-11 07:20:08 UTC
Please try to reproduce the error using drm-tip (https://cgit.freedesktop.org/drm-tip) and kernel parameters drm.debug=0x1e log_buf_len=4M, and if the problem persists attach the full dmesg from boot.
Comment 4 JM9 2018-09-26 15:21:31 UTC
This is now causing a crash instead.

[    28.471] (EE) 
[    28.471] (EE) Backtrace:
[    28.471] (EE) 0: /usr/lib/Xorg (xorg_backtrace+0x4d) [0x55f286a981cd]
[    28.471] (EE) 1: /usr/lib/Xorg (0x55f2869e7000+0xb1309) [0x55f286a98309]
[    28.471] (EE) 2: /usr/lib/libc.so.6 (0x7fe94c98f000+0x37e00) [0x7fe94c9c6e00]
[    28.471] (EE) 3: /usr/lib/libc.so.6 (gsignal+0x10f) [0x7fe94c9c6d7f]
[    28.472] (EE) 4: /usr/lib/libc.so.6 (abort+0x125) [0x7fe94c9b1672]
[    28.472] (EE) 5: /usr/lib/libc.so.6 (0x7fe94c98f000+0x22548) [0x7fe94c9b1548]
[    28.472] (EE) 6: /usr/lib/libc.so.6 (0x7fe94c98f000+0x30396) [0x7fe94c9bf396]
[    28.472] (EE) 7: /usr/lib/Xorg (dixRegisterPrivateKey+0x269) [0x55f286b41d49]
[    28.472] (EE) 8: /usr/lib/xorg/modules/libglamoregl.so (glamor_init+0xc9) [0x7fe944051c89]
[    28.472] (EE) 9: /usr/lib/xorg/modules/drivers/modesetting_drv.so (0x7fe944197000+0xff3d) [0x7fe9441a6f3d]
[    28.472] (EE) 10: /usr/lib/Xorg (AddGPUScreen+0x10d) [0x55f286b630bd]
[    28.472] (EE) 11: /usr/lib/Xorg (0x55f2869e7000+0x7917c) [0x55f286a6017c]
[    28.472] (EE) 12: /usr/lib/Xorg (0x55f2869e7000+0x5c2d6) [0x55f286a432d6]
[    28.472] (EE) 13: /usr/lib/Xorg (0x55f2869e7000+0x4a1e9) [0x55f286a311e9]
[    28.472] (EE) 14: /usr/lib/Xorg (0x55f2869e7000+0x4a652) [0x55f286a31652]
[    28.472] (EE) 15: /usr/lib/Xorg (0x55f2869e7000+0xac9f1) [0x55f286a939f1]
[    28.472] (EE) 16: /usr/lib/Xorg (WaitForSomething+0x200) [0x55f286a9c410]
[    28.472] (EE) 17: /usr/lib/Xorg (0x55f2869e7000+0x3788b) [0x55f286a1e88b]
[    28.472] (EE) 18: /usr/lib/libc.so.6 (__libc_start_main+0xf3) [0x7fe94c9b3223]
[    28.472] (EE) 19: /usr/lib/Xorg (_start+0x2e) [0x55f286a1f2fe]
[    28.472] (EE) 
[    28.472] (EE) 
Fatal server error:
[    28.472] (EE) Caught signal 6 (Aborted). Server aborting
[    28.472] (EE) 
[    28.472] (EE)
Comment 5 JM9 2018-09-26 18:33:17 UTC
The crash is happening in the latest X

X.Org X Server 1.20.1
X Protocol Version 11, Revision 0
Build Operating System: Linux Arch Linux
Current Operating System: Linux 4.18.9-arch1-1-ARCH #1 SMP PREEMPT Wed Sep 19 21:19:17 UTC 2018 x86_64
Kernel command line: initrd=\intel-ucode.img initrd=\initramfs-linux.img root=/dev/sda2 rw resume=/dev/sda3 no_console_suspend=1
Build Date: 09 August 2018  06:37:34PM
 
Current version of pixman: 0.34.0
        Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
Comment 6 Lakshmi 2018-09-28 07:14:12 UTC
Reporter, can you attach the full dmesg from boot.
Comment 7 JM9 2018-09-28 19:51:06 UTC
Created attachment 141781 [details]
dmesg from boot to X crash

Attached requested dmesg
Comment 8 JM9 2018-09-28 19:55:27 UTC
snip from dmesg corresponding to crash:

[   60.034890] nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
[   60.529113] nouveau 0000:01:00.0: DRM: allocated 2560x1440 fb: 0xa0000, bo 000000006f3ceade
[   60.530194] nouveau 0000:01:00.0: fb1: nouveaufb frame buffer device
[   60.530243] [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 1
[   61.325983] audit: type=1701 audit(1538163886.107:79): auid=1000 uid=1000 gid=1000 ses=1 pid=570 comm="Xorg" exe="/usr/lib/Xorg" sig=6 res=1
[   61.333532] audit: type=1130 audit(1538163886.117:80): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-874-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   61.677274] audit: type=1701 audit(1538163886.461:81): auid=1000 uid=1000 gid=1000 ses=1 pid=844 comm="intel-virtual-o" exe="/usr/bin/intel-virtual-output" sig=6 res=1
[   61.690916] audit: type=1130 audit(1538163886.474:82): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@1-881-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   62.024467] audit: type=1131 audit(1538163886.807:83): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@1-881-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
[   62.691887] audit: type=1131 audit(1538163887.474:84): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=systemd-coredump@0-874-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Comment 9 JM9 2018-10-02 18:42:01 UTC
Created attachment 141838 [details]
dmesg with debug symbols

more detailed dmesg with debug symbols enabled
Comment 10 JM9 2018-10-03 18:38:25 UTC
backtrace if it helps:

GNU gdb (GDB) 8.2 
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. 
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at: 
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/intel-virtual-output...(no debugging symbols found)...done.
[New LWP 757]
Core was generated by `intel-virtual-output -fv'.
Program terminated with signal SIGABRT, Aborted.
#0  0x00007f41b3d18d7f in raise () from /usr/lib/libc.so.6
(gdb) (gdb) (gdb) q
           PID: 757 (intel-virtual-o)
           UID: 1000 (redacted)
           GID: 1000 (redacted)
        Signal: 6 (ABRT)
     Timestamp: Wed 2018-10-03 11:45:00 CDT (5min ago)
  Command Line: intel-virtual-output -fv 
    Executable: /usr/bin/intel-virtual-output
 Control Group: /user.slice/user-1000.slice/session-1.scope
          Unit: session-1.scope
         Slice: user-1000.slice
       Session: 1
     Owner UID: 1000 (redacted)
       Boot ID: 1199f6b41df04ad88ca8830b7d27dbaa
    Machine ID: 541e42f54a8547a198b07e8b543b6272
      Hostname: redactedlx2lap
       Storage: /var/lib/systemd/coredump/core.intel-virtual-o.1000.1199f6b41df04ad88ca8830b7d27dbaa.757.1538585100000000.lz4
       Message: Process 757 (intel-virtual-o) of user 1000 dumped core.
    
                Stack trace of thread 757:
                #0  0x00007f41b3d18d7f raise (libc.so.6)
                #1  0x00007f41b3d03672 abort (libc.so.6)
                #2  0x000055a332de078a n/a (intel-virtual-output)
                #3  0x00007f41b3ee85be _XIOError (libX11.so.6)
                #4  0x00007f41b3ee6702 _XReply (libX11.so.6)
                #5  0x00007f41b5462bdf n/a (libXrandr.so.2)
                #6  0x000055a332dde00f n/a (intel-virtual-output)
                #7  0x00007f41b3d05223 __libc_start_main (libc.so.6)
                #8  0x000055a332de043e n/a (intel-virtual-output)
Comment 11 JM9 2018-10-11 03:16:10 UTC
can you guys reproduce this? do you need more info?
Comment 12 Lakshmi 2018-10-15 10:54:42 UTC
I assume this is not a kernel bug. Changing product to xorg.
Comment 13 GitLab Migration User 2018-12-13 22:40:24 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/xserver/issues/544.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.